<?php

namespace App\Timetable;

use \DateTime;

/**
 * Represents a record in timetable
 */
class Time
{
    public int $id;
    public int $teamId;
    public DateTime $date;

    public function setTeamId(int $teamId): Self 
    {
        $this->teamId = $teamId;
        return $this;
    }

    public function setDate(DateTime $date): Self
    {
        $this->date = $date;
        return $this;
    }
}