<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?=htmlspecialchars($title);?> – Stafett for livet</title>

    <link rel="stylesheet" href="<?=$this->config['root_url']?>static/style/main.css">
    <link rel="icon" href="<?=$this->config['root_url']?>static/img/cropped-kf-propell-ikon-32x32.png">
<body>

    <div id="header">
        <a href="<?=$this->config['root_url']?>">Stafett for livet tellesystem</a>
    </div>

    <hr class="hidden">

    <div id="menu">
        <small>

            <?php if ($this->user->loggedIn): ?>
                <span><?=htmlspecialchars($this->user->username)?></span>
                <a href="<?=$this->config['root_url']?>confirm-logout.php">Logg ut</a>
            <?php else: ?>
                <span>Ikke pålogget</span>
                <a href="<?=$this->config['root_url']?>login.php">Logg inn</a>
            <?php endif; ?>

        </small>
    </div>

    <hr class="hidden">

    <div id="container"> 

        <div id="nav">
            <h4>Felles</h4>
            <ul>
                <li><a href="<?=$this->config['root_url']?>index.php">Forside</a></li>
                <li><a href="<?=$this->config['root_url']?>race/live-results.php">Resultater</a></li>
            </ul>

            <?php if ($this->user->loggedIn): ?>
                <?php if ($this->user->powerLevel > 0): ?>
                    <h4>Tillatelser</h4>
                    <ul>
                        <li><a href="<?=$this->config['root_url']?>race/simulator.php">Simulator</a></li>
                        <li><a href="<?=$this->config['root_url']?>race/configure/index.php">Konfigurer</a></li>
                    </ul>
                <?php endif; ?>
            <?php endif; ?>

        </div>

        <hr class="hidden">

        <div id="main">
            <?php
            // Display flashed messages
            $msgs = $this->session->getFlashedMessages();
            if ($msgs)
            {
                foreach ($msgs as $msg)
                {
                    echo "<div class=\"alert {$msg["type"]}\" role=\"alert\">{$msg["message"]}</div>";
                }
            }
            ?>